.why-drupal {
  background-color: $blue-600;
  color: $gray-100;
  padding-top: map-get($spacers, 5);
  padding-bottom: map-get($spacers, 5);
  margin-top: map-get($spacers, 5);

  > .content {
    @extend .container-lg;
    @extend .p-0;
    @extend .px-sm-5;
  }

  header {
    @extend .px-4;

    h2 { @extend .display-5; }
    div { @extend .lead; }
  }

  .drupal-powers {
    padding-bottom: map-get($spacers, 5);
    margin-top: map-get($spacers, 4);
  }

  .featured-powers {
    display: grid;
    gap: 2px;

    @include media-breakpoint-up(lg) {
      grid-template-columns: 1fr 1fr;
    }

    .power-fact {
      h3 { @extend .h5; }
      p:first-of-type { @extend .lead; }
      p { font-size: $font-size-base; }
    }
  }

  .power-facts {
    display: grid;
    gap: 2px;
    margin-top: 2px;

    @include media-breakpoint-up(sm) {
      grid-template-columns: 1fr 1fr;
    }
    @include media-breakpoint-up(lg) {
      grid-template-columns: 1fr 1fr 1fr;
    }
  }

  .power-fact {
    border: 1px solid rgba($black, .09);
    padding: map-get($spacers, 4);
    transition: all 300ms ease-in-out;

    @include media-breakpoint-up(sm) {
      border-radius: $border-radius;
    }

    &:hover {
      background: rgba($white, .09);
      color: $white;
    }

    h3 {
      font-size: $font-size-base;
      font-weight: $font-weight-bold;
    }

    p { font-size: $font-size-sm; }
  }

  .actions {
    margin-top: map-get($spacers, 4);
    padding: 0 map-get($spacers, 4);

    a {
      @extend .btn;
      @extend .btn-light;
      @extend .btn-lg;

      @include media-breakpoint-down(sm) {
        width: 100%;
      }
    }
  }
}

// Animated background
.why-drupal {
  position: relative;
  overflow: hidden;
  background: linear-gradient(315deg, #0732DE 3%, #0756DE 38%, #079DDE 68%, #0756DE 98%);
  animation: gradient 240s ease-in-out infinite;
  background-size: 400% 400%;
  background-attachment: fixed;
}

@keyframes gradient {
  0%   { background-position: 0% 0%; }
  50%  { background-position: 100% 100%; }
  100% { background-position: 0% 0%; }
}

.wave {
  position: absolute;
  bottom: 0;
  left: 0;
  background: rgb(255 255 255 / 100%);
  border-radius: 1000% 1000% 0 0;
  height: 20rem;
  animation: wave 10s -3s linear infinite;
  transform: translate3d(0, 0, 0);
  opacity: 1;

  &:nth-last-child(3) {
    width: 500%;
    bottom: -18.5em;
    animation: wave 18s linear reverse infinite;
    opacity: 1;
    z-index: 102;
  }

  &:nth-last-child(2) {
    width: 400%;
    bottom: -18em;
    animation: wave 18s linear reverse infinite;
    opacity: .24;
    z-index: 101;
  }

  &:nth-last-child(1) {
    width: 300%;
    bottom: -17.5rem;
    animation: wave 20s -1s reverse infinite;
    opacity: .15;
    z-index: 100;
  }
}

@keyframes wave {
  0%   {transform: translateX(-10%); }
  25%  {transform: translateX(-25%); }
  50%  {transform: translateX(-50%); }
  75%  {transform: translateX(-25%); }
  100% {transform: translateX(-10%); }
}
